group "TradeCashflows.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 3 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
tradeIdentifyingItems?, adjustedPaymentDate?, payment*

Content Model Elements (3):

  adjustedPaymentDate (defined in TradeCashflows.model group),
  payment (defined in TradeCashflows.model group),
  tradeIdentifyingItems (defined in TradeCashflows.model group)

Known Usage Locations

- In definitions of other model groups (2):
  DefinitionAndCashflows.model, IdAndTradeCashflows.model
- In definitions of global complexTypes (1):
  TradeCashflowsAsserted

Annotation
A group describing the cashflows owing on a particular adjustedPaymentDate for a specific trade.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="TradeCashflows.model"> <xsd:sequence> <xsd:element minOccurs="0" name="tradeIdentifyingItems" type="TradeIdentifyingItems"/> <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="PaymentMatching"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
adjustedPaymentDate

  Type: | xsd:date, predefined, simple content

  The adjusted date in which the payments are being paid/received.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"/>

payment

  Type: | PaymentMatching, complex content

  Specifies the payment that is exposed to the matching process. Usually there will be a single payment but for cross-currency swaps a different payment per currency shall be provided.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="PaymentMatching"/>

tradeIdentifyingItems

  Type: | TradeIdentifyingItems, complex content

  Structure that holds reference to the trade through the tradeId and optionally some trade-specific elements for identifying the trade in the case of trades that have not been negotiated through electronic platforms and for which the counterparty's trade ID has not been captured.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tradeIdentifyingItems" type="TradeIdentifyingItems"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.